import zxingModuleFactory from "./zxing_full.js";
import { ZXingModuleFactoryTypeExtractor, ZXingModuleOverrides, getZXingModule as _getZXingModule, ZXingReadOptions, ZXingReadOutput, ZXingWriteOptions, ZXingWriteOutput } from "../core.js";
export declare function getZXingModule(zxingModuleOverrides?: ZXingModuleOverrides<ZXingModuleFactoryTypeExtractor<typeof zxingModuleFactory>>): ReturnType<typeof _getZXingModule>;
export declare function readBarcodesFromImageFile(imageFile: Blob | File, { tryHarder, formats, maxSymbols, }?: ZXingReadOptions): Promise<ZXingReadOutput[]>;
export declare function readBarcodeFromImageData(imageData: ImageData, { tryHarder, formats, maxSymbols, }?: ZXingReadOptions): Promise<ZXingReadOutput[]>;
export declare function writeBarcodeToImageFile(text: string, { format, charset, quietZone, width, height, eccLevel, }?: ZXingWriteOptions): Promise<ZXingWriteOutput>;
export * from "../exposed.js";
